//---------------------------------------------------------------------------
// Klasse     : Standard
// Datei      : Standard.cpp
// Datum      : 11.06.2007
// Version    : 1.0
// Autor      : Karsten Donat
//---------------------------------------------------------------------------

#include "Standard.h"
#include <util/delay.h>

int Standard_Create()
{
   // ToDo: Initialisierungsroutine
   return 0;
}

int Standard_Destroy()
{
   // ToDo: Aufrumen
   return 0;
}

// macht eine Pause entsprechend der ms
void delay_ms_grob(double ms)
{
   double max_delay = 262/ (F_CPU/1000000);
   double  i = ms / max_delay;

   // Delays durchlaufen
   while (i-->0)
   {
      _delay_ms(max_delay);
   }

   // Restzeit durchlaufen
   _delay_ms(ms-(i*max_delay));
}


void IntToStr( int z, char* Buffer )
{
  int i = 0;
  int j;
  char tmp;
 
  // 0 braucht eine Sonderbehandlung
  if( z == 0 ) {
      Buffer[0] = '0';
      Buffer[1] = '\0';
  }
  else {
 
    // ist die Zahl negativ?
    // gleich mal ein - hinterlassen und die Zahl positiv machen
    if( z < 0 ) {
      Buffer[0] = '-';
      z = -z;
      Buffer++;
    }
 
    // die einzelnen Stellen der Zahl berechnen
    while( z > 0 ) {
      Buffer[i++] = '0' + z % 10;
      z /= 10;
    }
 
    // den String in sich spiegeln
    for( j = 0; j < i / 2; ++j ) {
      tmp = Buffer[j];
      Buffer[j] = Buffer[i-j-1];
      Buffer[i-j-1] = tmp;
    }
 
    Buffer[i] = '\0';
  }
}

void DWordToStr( DWord z, char* Buffer )
{
  DWord i = 0;
  DWord j;
  char tmp;
 
  // 0 braucht eine Sonderbehandlung
  if( z == 0 ) {
      Buffer[0] = '0';
      Buffer[1] = '\0';
  }
  else {
 
 /*   // ist die Zahl negativ?
    // gleich mal ein - hinterlassen und die Zahl positiv machen
    if( z < 0 ) {
      Buffer[0] = '-';
      z = -z;
      Buffer++;
    }
*/ 
    // die einzelnen Stellen der Zahl berechnen
    while( z > 0 ) {
      Buffer[i++] = '0' + z % 10;
      z /= 10;
    }
 
    // den String in sich spiegeln
    for( j = 0; j < i / 2; ++j ) {
      tmp = Buffer[j];
      Buffer[j] = Buffer[i-j-1];
      Buffer[i-j-1] = tmp;
    }
 
    Buffer[i] = '\0';
  }
}
