//---------------------------------------------------------------------------
// Klasse     : config
// Datei      : config.h
// Datum      : 11.06.2007
// Version    : 1.0
// Autor      : Karsten Donat
//---------------------------------------------------------------------------

#ifndef _CONFIG_H_
#define _CONFIG_H_

//#define	F_CPU 8000000 //in Makefile definiert
#define	CLOCK 8000000


// Baudrate fr RS232 zur C-Control/ Debug
#define UART_BAUD_RATE 38400 //19200

// Info-LED PortD.4
#define InfoLED_DDR    DDRD
#define InfoLED_PORT   PORTD
#define InfoLED_PIN    PIN4//(1<<PIN4)

// DCF77 Empfnger
#define DCF77_DDR      DDRD
#define DCF77_PORT     PORTD
#define DCF77_PIN      PIN3 //(1<<PIN3) // 168: Anschluss-Pin 5


int config_Create();
int config_Destroy();

#endif

